
From: Nick Piggin <piggin@cyberone.com.au>




 drivers/block/as-iosched.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN drivers/block/as-iosched.c~as-no-initial-antic drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~as-no-initial-antic	2003-08-27 09:52:52.000000000 -0700
+++ 25-akpm/drivers/block/as-iosched.c	2003-08-27 09:52:52.000000000 -0700
@@ -709,6 +709,14 @@ static int as_can_break_anticipation(str
 		return 1;
 	}
 
+	if (aic->seek_samples == 0 || aic->ttime_samples == 0) {
+		/*
+		 * Process has just started IO so default to not anticipate.
+		 * Maybe should be smarter.
+		 */
+		return 1;
+	}
+
 	if (aic->ttime_mean > ad->antic_expire) {
 		/* the process thinks too much between requests */
 		return 1;

_
